task_scheduler_init.h File Reference
`#include "internal/_deprecated_header_message_guard.h"`
`#include "internal/_warning_suppress_enable_notice.h"`
`#include "tbb_stddef.h"`
`#include "limits.h"`
`#include "internal/_warning_suppress_disable_notice.h"`
Include dependency graph for task_scheduler_init.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | tbb::task_scheduler_init
| Class delimiting the scope of task scheduler activity. More...

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Macros

#define | __TBB_task_scheduler_init_H
#define | __TBB_task_scheduler_init_H_include_area

## Typedefs

typedef std::size_t | tbb::stack_size_type

## Macro Definition Documentation

## __TBB_task_scheduler_init_H

#define __TBB_task_scheduler_init_H

Definition at line 29 of file task_scheduler_init.h.

## __TBB_task_scheduler_init_H_include_area

#define __TBB_task_scheduler_init_H_include_area

Definition at line 31 of file task_scheduler_init.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.